GET /occupants/{occupantID}.{outputFormat}

gov.bc.ca:geocoder

Summary: Get an occupant (of a site) by its unique ID
Operation ID:
Auth: unknown
Description

Represents an individual occupant

Parameters (6)

brief (boolean, query, optional, default: False)

If true, include only basic match and address details in results. Not supported for shp, csv, and gml formats.

locationDescriptor (string, query, optional, default: any)

Describes the nature of the address location. See <a href=https://github.com/bcgov/ols-geocoder/blob/gh-pages/glossary.md#locationDescriptor target="_blank">locationDescriptor</a>

Constraints: {'enum': ['any', 'accessPoint', 'frontDoorPoint', 'parcelPoint', 'rooftopPoint', 'routingPoint']}

occupantID (string, path, required)

Occupant identifier

outputFormat (string, path, required, default: json)

Results format. See <a href=https://github.com/bcgov/ols-geocoder/blob/gh-pages/glossary.md#outputFormat target="_blank">outputFormat</a>. Note: GeoJSON and KML formats only support EPSG:4326 (outputSRS=4326)

Constraints: {'enum': ['json', 'geojson', 'xhtml', 'kml', 'gml', 'csv', 'shpz']}

outputSRS (integer, query, optional, default: 4326)

The EPSG code of the spatial reference system (SRS) to use for output geometries. See <a href=https://github.com/bcgov/ols-geocoder/blob/gh-pages/glossary.md#outputSRS target="_blank">outputSRS</a>

Constraints: {'enum': [4326, 4269, 3005, 26907, 26908, 26909, 26910, 26911]}

setBack (integer, query, optional, default: 0)

The distance to move the accessPoint away from the curb and towards the inside of the parcel (in metres). Ignored if locationDescriptor not set to accessPoint.

No probe data for this endpoint yet.